Package org.apache.sysds.lops

# Enum Class Lop.Type

java.lang.Object
java.lang.Enum<Lop.Type>
org.apache.sysds.lops.Lop.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<Lop.Type>`, `Constable`

Enclosing class:
  Lop

public static enum Lop.Type extends Enum<Lop.Type>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Aggregate`
`Append`
`Binary`
`BinaryCP`
`BinUaggChain`
`CentralMoment`
`Checkpoint`
`CombineBinary`
`CombineTernary`
`CombineUnary`
`CoVariance`
`CSVReBlock`
`Ctable`
`CumulativeOffsetBinary`
`CumulativePartialAggregate`
`CumulativeSplitAggregate`
`Data`
`DataGen`
`DataPartition`
`Federated`
`FunctionCallCP`
`FunctionCallCPSingle`
`GroupedAgg`
`GroupedAggM`
`Grouping`
`LeftIndex`
`MapMult`
`MapMultChain`
`MatMultCP`
`MinusMult`
`MMCJ`
`MMRJ`
`MMTSJ`
`Nary`
`ParameterizedBuiltin`
`PartialAggregate`
`PickValues`
`PlusMult`
`PMMJ`
`ReBlock`
`RepMat`
`RightIndex`
`SortKeys`
`SpoofFused`
`Sql`
`Tee`
`Ternary`
`TernaryAggregate`
`Transform`
`UaggOuterChain`
`UNARY`
`UnaryCP`
`WeightedCeMM`
`WeightedDivMM`
`WeightedSigmoid`
`WeightedSquaredLoss`
`WeightedUMM`
`ZeroOut`

## Method Summary

Modifier and Type
Method
Description
`static Lop.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Lop.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Data

public static final Lop.Type Data

### DataGen

public static final Lop.Type DataGen

### ReBlock

public static final Lop.Type ReBlock

### CSVReBlock

public static final Lop.Type CSVReBlock

### MatMultCP

public static final Lop.Type MatMultCP

### MMCJ

public static final Lop.Type MMCJ

### MMRJ

public static final Lop.Type MMRJ

### MMTSJ

public static final Lop.Type MMTSJ

### PMMJ

public static final Lop.Type PMMJ

### MapMult

public static final Lop.Type MapMult

### MapMultChain

public static final Lop.Type MapMultChain

### UnaryCP

public static final Lop.Type UnaryCP

### UNARY

public static final Lop.Type UNARY

### BinaryCP

public static final Lop.Type BinaryCP

### Binary

public static final Lop.Type Binary

### Ternary

public static final Lop.Type Ternary

### Nary

public static final Lop.Type Nary

### RightIndex

public static final Lop.Type RightIndex

### LeftIndex

public static final Lop.Type LeftIndex

### ZeroOut

public static final Lop.Type ZeroOut

### Aggregate

public static final Lop.Type Aggregate

### PartialAggregate

public static final Lop.Type PartialAggregate

### BinUaggChain

public static final Lop.Type BinUaggChain

### UaggOuterChain

public static final Lop.Type UaggOuterChain

### TernaryAggregate

public static final Lop.Type TernaryAggregate

### Grouping

public static final Lop.Type Grouping

### Append

public static final Lop.Type Append

### CombineUnary

public static final Lop.Type CombineUnary

### CombineBinary

public static final Lop.Type CombineBinary

### CombineTernary

public static final Lop.Type CombineTernary

### CentralMoment

public static final Lop.Type CentralMoment

### CoVariance

public static final Lop.Type CoVariance

### GroupedAgg

public static final Lop.Type GroupedAgg

### GroupedAggM

public static final Lop.Type GroupedAggM

### Transform

public static final Lop.Type Transform

### DataPartition

public static final Lop.Type DataPartition

### RepMat

public static final Lop.Type RepMat

### ParameterizedBuiltin

public static final Lop.Type ParameterizedBuiltin

### FunctionCallCP

public static final Lop.Type FunctionCallCP

### FunctionCallCPSingle

public static final Lop.Type FunctionCallCPSingle

### CumulativePartialAggregate

public static final Lop.Type CumulativePartialAggregate

### CumulativeSplitAggregate

public static final Lop.Type CumulativeSplitAggregate

### CumulativeOffsetBinary

public static final Lop.Type CumulativeOffsetBinary

### WeightedSquaredLoss

public static final Lop.Type WeightedSquaredLoss

### WeightedSigmoid

public static final Lop.Type WeightedSigmoid

### WeightedDivMM

public static final Lop.Type WeightedDivMM

### WeightedCeMM

public static final Lop.Type WeightedCeMM

### WeightedUMM

public static final Lop.Type WeightedUMM

### SortKeys

public static final Lop.Type SortKeys

### PickValues

public static final Lop.Type PickValues

### Ctable

public static final Lop.Type Ctable

### Checkpoint

public static final Lop.Type Checkpoint

### PlusMult

public static final Lop.Type PlusMult

### MinusMult

public static final Lop.Type MinusMult

### SpoofFused

public static final Lop.Type SpoofFused

### Sql

public static final Lop.Type Sql

### Federated

public static final Lop.Type Federated

### Tee

public static final Lop.Type Tee

## Method Details

### values

public static Lop.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Lop.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null